Migration to delete duplicate tokens doesn't work when there are no managed hosts
Assignee: Ori Rabin   

Category:    

Target version:    
Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_

discovery/pull/179

  

Description

The migration to fix: http://projects.theforeman.org/issues/9597

finds all the tokens that don't belong to a managed host.

When there are no managed hosts

Host::Managed.all.map(&:token).compact

is empty and so this line:

https://github.com/theforeman/foreman_discovery/commit/bc01733928b6babaf0feefbbce326169ae588b08#diff-791d1725879272755

1dfb2f3bb0e43b1R3

doesn't delete anything.    

To fix this if there are no manged hosts all of the tokens should be deleted.

Related issues:

Related to Discovery - Bug #9597: FK violation when trying to delete a discov... Closed 03/01/2015

Associated revisions

Revision 52cd340a - 05/05/2015 04:53 AM - Ori Rabin

Fixes #10365 - Removing all tokens when there are no managed hosts

History

#1 - 05/05/2015 04:22 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman_discovery/pull/179 added

- Pull request deleted ()

#2 - 05/05/2015 05:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset foreman_discovery|52cd340ad7cf31fc54948bfca844b162430c7f40.

#3 - 05/05/2015 06:27 AM - Ori Rabin

- Related to Bug #9597: FK violation when trying to delete a discovered host after provision added

#4 - 05/20/2015 02:18 AM - Dominic Cleal

https://github.com/theforeman/foreman_discovery/pull/180 also.
